For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Webhooks

Create Webhook

POST
https://api.webflow.com/v2/sites/:site_id/webhooks
POST
/v2/sites/:site_id/webhooks
$curl -X POST https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/webhooks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "triggerType": "form_submission",
> "url": "https://webhook.site/7f7f7f7f-7f7f-7f7f-7f7f-7f7f7f7f7f7f"
>}'
1{
2 "id": "582266e0cd48de0f0e3c6d8b",
3 "triggerType": "form_submission",
4 "url": "https://webhook.site/7f7f7f7f-7f7f-7f7f-7f7f-7f7f7f7f7f7f",
5 "workspaceId": "4f4e46fd476ea8c507000001",
6 "siteId": "562ac0395358780a1f5e6fbd",
7 "lastTriggered": "2023-02-08T23:59:28.572Z",
8 "createdOn": "2022-11-08T23:59:28.572Z"
9}
Create a new Webhook. Limit of 75 registrations per `triggerType`, per site. <Note>Access to this endpoint requires a bearer token from a [Data Client App](/data/docs/data-clients/getting-started).</Note> Required scope | `sites:write`
Was this page helpful?
Previous

Remove Webhook

Next
Built with

Create a new Webhook.

Limit of 75 registrations per triggerType, per site.

Access to this endpoint requires a bearer token from a Data Client App.
Required scope | sites:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

The Webhook registration object
triggerTypeenumOptional

The type of event that triggered the request. See the the documentation for details on supported events.

urlstringOptional
URL to send the Webhook payload to
filterobjectOptional

Only supported for the form_submission trigger type. Filter for the form you want Webhooks to be sent for.

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for the Webhook registration
triggerTypeenum

The type of event that triggered the request. See the the documentation for details on supported events.

urlstring
URL to send the Webhook payload to
workspaceIdstringRead-onlyformat: "objectid"
Unique identifier for the Workspace the Webhook is registered in
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the Site the Webhook is registered in
filterobject

Only supported for the form_submission trigger type. Filter for the form you want Webhooks to be sent for.

lastTriggeredstringRead-onlyformat: "date-time"
Date the Webhook instance was last triggered
createdOnstringRead-onlyformat: "date-time"
Date the Webhook registration was created

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error